package com.realnet.imagegenerator.Services;
import com.realnet.imagegenerator.Repository.ImagegeneratorRepository;
import com.realnet.imagegenerator.Entity.Imagegenerator
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class ImagegeneratorService {
@Autowired
private ImagegeneratorRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Imagegenerator Savedata(Imagegenerator data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Imagegenerator save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Imagegenerator> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Imagegenerator> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Imagegenerator> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Imagegenerator getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Imagegenerator update(Imagegenerator data,Integer id) {
	Imagegenerator old = Repository.findById(id).get();
old.setPrompt(data.getPrompt());

old.setStyle(data.getStyle());

old.setQuantity(data.getQuantity());

final Imagegenerator test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
